import 'HttpRequest.dart';

class PayloadQuery {
  String query;
  Object? variables;

  PayloadQuery({required this.query, this.variables});
}

class PayloadMutation {
  String mutation;
  Object? variables;

  PayloadMutation({required this.mutation, this.variables});
}

class Graphql {
  late String appsUrl;
  late HttpRequestClass client;
  String prefixAccessToken = "MBaaS.auth.accessToken";
  String prefixRefreshToken = "MBaaS.auth.refreshToken";

  Graphql(String applicationUrl) {
    this.appsUrl = applicationUrl + "/graphql";
    this.client = HttpRequestClass();
  }

  Future<dynamic> query(String query, Object? variables) async {
    try {
      var req = await client.Request(appsUrl, "POST",
          auth: true, data: {"query": query, "variables": variables});
      print(req);
      return req.data;
    } catch (e) {
      print(e);
      throw (e);
    }
  }

  Future<dynamic> mutation(String mutation, Object? variables) async {
    try {
      var req = await client.Request(appsUrl, "POST",
          auth: true, data: {"query": mutation, "variables": variables});
      print(req);
      return req.data;
    } catch (e) {
      print(e);
      throw (e);
    }
  }
}
