class CheckEmailResponse {
  Data? data;
  Meta? meta;

  CheckEmailResponse({this.data, this.meta});

  CheckEmailResponse.fromJson(Map<String, dynamic> json) {
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
    meta = json['meta'] != null ? new Meta.fromJson(json['meta']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    if (this.meta != null) {
      data['meta'] = this.meta!.toJson();
    }
    return data;
  }
}

class Data {
  String? type;
  String? id;
  Attributes? attributes;

  Data({this.type, this.id, this.attributes});

  Data.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    id = json['id'];
    attributes = json['attributes'] != null
        ? new Attributes.fromJson(json['attributes'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['id'] = this.id;
    if (this.attributes != null) {
      data['attributes'] = this.attributes!.toJson();
    }
    return data;
  }
}

class Attributes {
  String? createdAt;
  Null? deactivatedAt;
  String? email;
  bool? registered;
  String? updatedAt;
  bool? verified;

  Attributes(
      {this.createdAt,
        this.deactivatedAt,
        this.email,
        this.registered,
        this.updatedAt,
        this.verified});

  Attributes.fromJson(Map<String, dynamic> json) {
    createdAt = json['created_at'];
    deactivatedAt = json['deactivated_at'];
    email = json['email'];
    registered = json['registered'];
    updatedAt = json['updated_at'];
    verified = json['verified'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['created_at'] = this.createdAt;
    data['deactivated_at'] = this.deactivatedAt;
    data['email'] = this.email;
    data['registered'] = this.registered;
    data['updated_at'] = this.updatedAt;
    data['verified'] = this.verified;
    return data;
  }
}

class Meta {
  String? message;

  Meta({this.message});

  Meta.fromJson(Map<String, dynamic> json) {
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['message'] = this.message;
    return data;
  }
}
