
/// LOGIN RES
class LoginResponse {
  Data? data;
  Meta? meta;

  LoginResponse({this.data, this.meta});

  LoginResponse.fromJson(Map<String, dynamic> json) {
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
    meta = json['meta'] != null ? new Meta.fromJson(json['meta']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    if (this.meta != null) {
      data['meta'] = this.meta!.toJson();
    }
    return data;
  }
}

class Data {
  String? type;
  String? id;
  Attributes? attributes;

  Data({this.type, this.id, this.attributes});

  Data.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    id = json['id'];
    attributes = json['attributes'] != null
        ? new Attributes.fromJson(json['attributes'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['id'] = this.id;
    if (this.attributes != null) {
      data['attributes'] = this.attributes!.toJson();
    }
    return data;
  }
}

class Attributes {
  String? accessToken;
  String? email;
  String? expiry;
  String? provider;
  String? refreshToken;
  List<String>? roles;
  bool? verified;

  Attributes(
      {this.accessToken,
        this.email,
        this.expiry,
        this.provider,
        this.refreshToken,
        this.roles,
        this.verified});

  Attributes.fromJson(Map<String, dynamic> json) {
    accessToken = json['accessToken'];
    email = json['email'];
    expiry = json['expiry'];
    provider = json['provider'];
    refreshToken = json['refreshToken'];
    roles = json['roles'].cast<String>();
    verified = json['verified'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['accessToken'] = this.accessToken;
    data['email'] = this.email;
    data['expiry'] = this.expiry;
    data['provider'] = this.provider;
    data['refreshToken'] = this.refreshToken;
    data['roles'] = this.roles;
    data['verified'] = this.verified;
    return data;
  }
}

class Meta {
  String? message;

  Meta({this.message});

  Meta.fromJson(Map<String, dynamic> json) {
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['message'] = this.message;
    return data;
  }
}

/// LOGIN PARAMS
class LoginParams {
  String? provider;
  DataParams? data;

  LoginParams({this.provider, this.data});

  LoginParams.fromJson(Map<String, dynamic> json) {
    provider = json['provider'];
    data = json['data'] != null ? new DataParams.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['provider'] = this.provider;
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}

class DataParams {
  String? email;
  String? password;

  DataParams({this.email, this.password});

  DataParams.fromJson(Map<String, dynamic> json) {
    email = json['email'];
    password = json['password'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['email'] = this.email;
    data['password'] = this.password;
    return data;
  }
}