class RegisterResponse {
  Data? data;
  Meta? meta;

  RegisterResponse({this.data, this.meta});

  RegisterResponse.fromJson(Map<String, dynamic> json) {
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
    meta = json['meta'] != null ? new Meta.fromJson(json['meta']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    if (this.meta != null) {
      data['meta'] = this.meta!.toJson();
    }
    return data;
  }
}

class Data {
  String? type;
  String? id;
  Attributes? attributes;

  Data({this.type, this.id, this.attributes});

  Data.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    id = json['id'];
    attributes = json['attributes'] != null
        ? new Attributes.fromJson(json['attributes'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['id'] = this.id;
    if (this.attributes != null) {
      data['attributes'] = this.attributes!.toJson();
    }
    return data;
  }
}

class Attributes {
  Null? address;
  Null? country;
  String? createdAt;
  Null? deactivatedAt;
  String? email;
  List<Null>? fcmTokens;
  String? name;
  List<String>? roles;
  SocialIds? socialIds;
  String? updatedAt;
  bool? verified;

  Attributes(
      {this.address,
        this.country,
        this.createdAt,
        this.deactivatedAt,
        this.email,
        this.fcmTokens,
        this.name,
        this.roles,
        this.socialIds,
        this.updatedAt,
        this.verified});

  Attributes.fromJson(Map<String, dynamic> json) {
    address = json['address'];
    country = json['country'];
    createdAt = json['created_at'];
    deactivatedAt = json['deactivated_at'];
    email = json['email'];
    if (json['fcm_tokens'] != null) {
      fcmTokens = <Null>[];
      json['fcm_tokens'].forEach((v) {
        fcmTokens!.add(v);
      });
    }
    name = json['name'];
    roles = json['roles'].cast<String>();
    socialIds = json['social_ids'] != null
        ? new SocialIds.fromJson(json['social_ids'])
        : null;
    updatedAt = json['updated_at'];
    verified = json['verified'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['address'] = this.address;
    data['country'] = this.country;
    data['created_at'] = this.createdAt;
    data['deactivated_at'] = this.deactivatedAt;
    data['email'] = this.email;
    if (this.fcmTokens != null) {
      data['fcm_tokens'] = this.fcmTokens!.map((v) => v!).toList();
    }
    data['name'] = this.name;
    data['roles'] = this.roles;
    if (this.socialIds != null) {
      data['social_ids'] = this.socialIds!.toJson();
    }
    data['updated_at'] = this.updatedAt;
    data['verified'] = this.verified;
    return data;
  }
}

class SocialIds {
  Null? apple;
  Null? facebook;
  Null? google;
  Null? twitter;

  SocialIds({this.apple, this.facebook, this.google, this.twitter});

  SocialIds.fromJson(Map<String, dynamic> json) {
    apple = json['apple'];
    facebook = json['facebook'];
    google = json['google'];
    twitter = json['twitter'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['apple'] = this.apple;
    data['facebook'] = this.facebook;
    data['google'] = this.google;
    data['twitter'] = this.twitter;
    return data;
  }
}

class Meta {
  String? message;

  Meta({this.message});

  Meta.fromJson(Map<String, dynamic> json) {
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['message'] = this.message;
    return data;
  }
}
